const { mergeLeft } = require("ramda");

const commonConfiguration = require("../../eslint");

const nextjsConfiguration = {
  extends: [
    "plugin:@bigbinary/neeto/nextjs-recommended",
    "plugin:cypress/recommended",
    "plugin:json/recommended",
    "eslint:recommended",
    "plugin:react/recommended",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/eslint/globals",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/nextjs/eslint/imports/order",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/eslint/overrides",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/eslint/imports/enforced",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/eslint/react",
    "./node_modules/@bigbinary/neeto-commons-frontend/configs/eslint/promise",
    "prettier",
  ],
};

module.exports = mergeLeft(nextjsConfiguration, commonConfiguration);
