const path = require("path");

const basePath = `${process.cwd()}/cypress/`;

module.exports = {
  alias: {
    Fixtures: path.resolve(basePath, "fixtures"),
    Plugins: path.resolve(basePath, "plugins"),
    Support: path.resolve(basePath, "support"),
    Texts: path.resolve(basePath, "constants/texts"),
    Selectors: path.resolve(basePath, "constants/selectors"),
    neetocommons: "@bigbinary/neeto-commons-frontend",
    Constants: path.resolve(basePath, "constants"),
    neetocist: "@bigbinary/neeto-cist",
  },
  fallback: { path: require.resolve("path-browserify") },
};
