'use strict';

var cypressUtils_utils_common = require('../utils/common.js');
require('../../defineProperty-BB_r6qQ2.js');
require('../../toPropertyKey-CRgrohXG.js');
require('../../typeof-D4ZZ_FlZ.js');
require('./index.js');

var allPath = function allPath() {
  return "".concat(Cypress.config("baseUrl"), "/**");
};
var tld = cypressUtils_utils_common.env.isProduction ? "com" : "net";
var requestApis = {
  countries: cypressUtils_utils_common.getUrl("countries"),
  signUp: cypressUtils_utils_common.getUrl("signups/**"),
  subdomainAvailability: cypressUtils_utils_common.getUrl("subdomain_availability/**"),
  teamMembers: {
    all: "/team_members*/**",
    bulkUpdate: "/team_members/teams/bulk_update",
    index: "/team_members/teams",
    show: function show(id) {
      return "/team_members/teams/".concat(id);
    }
  },
  allChatPath: "https://*.neetochat.".concat(tld).concat(cypressUtils_utils_common.getUrl("**")),
  myProfilePath: function myProfilePath(subdomain) {
    return "https://".concat(subdomain, ".neetoauth.").concat(tld, "/my/profile");
  },
  settingsPath: function settingsPath(subdomain) {
    return "https://".concat(subdomain, ".neetoauth.").concat(tld, "/settings");
  }
};
var urlPaths = {
  members: "/members"
};
Object.defineProperty(requestApis, "allPath", {
  get: allPath
});

exports.requestApis = requestApis;
exports.urlPaths = urlPaths;
//# sourceMappingURL=routes.js.map
