'use strict';

var cypressUtils_utils_common = require('../../utils/common.js');
require('../../../defineProperty-BB_r6qQ2.js');
require('../../../toPropertyKey-CRgrohXG.js');
require('../../../typeof-D4ZZ_FlZ.js');
require('../index.js');

var memberSelectors = {
  membersTab: cypressUtils_utils_common.dataCy("members-nav-tab"),
  newButton: cypressUtils_utils_common.dataCy("ntm-add-member-button"),
  continueButton: cypressUtils_utils_common.dataCy("ntm-manage-member-continue-button"),
  submitButton: cypressUtils_utils_common.dataCy("ntm-manage-member-submit-button"),
  searchTextField: cypressUtils_utils_common.dataCy("ntm-search-members-input"),
  deactivatedAgentsButton: cypressUtils_utils_common.dataCy("ntm-members-menubar-deactivated-block"),
  activatedMembersButton: cypressUtils_utils_common.dataCy("ntm-members-menubar-active-block"),
  columnCheckBox: cypressUtils_utils_common.dataCy("neeto-ui-columns-checkbox"),
  roleLabel: function roleLabel(role) {
    return cypressUtils_utils_common.dataCy("".concat(cypressUtils_utils_common.joinHyphenCase(role), "-radio-label"));
  },
  dropDownIcon: cypressUtils_utils_common.dataCy("ntm-members-table-row-dropdown-button"),
  editButton: cypressUtils_utils_common.dataCy("ntm-edit-member-button"),
  menuBarHeading: cypressUtils_utils_common.dataCy("ntm-members-menubar-heading"),
  activateOrDeactivateMember: cypressUtils_utils_common.dataCy("ntm-deactivate-member-button"),
  columnsButton: cypressUtils_utils_common.dataCy("columns-dropdown-button"),
  columnsDropdownContainer: cypressUtils_utils_common.dataCy("columns-dropdown-container"),
  emailDropdownItemLabel: cypressUtils_utils_common.dataCy("email-checkbox-label"),
  roleDropdownItemLabel: cypressUtils_utils_common.dataCy("role-checkbox-label"),
  inviteStatusDropdownItemLabel: cypressUtils_utils_common.dataCy("invite-status-checkbox-label"),
  heading: cypressUtils_utils_common.dataCy("ntm-manage-members-pane-header"),
  activateButton: cypressUtils_utils_common.dataCy("ntm-activate-members-button"),
  deactivateButton: cypressUtils_utils_common.dataCy("ntm-deactivate-members-button"),
  rolesButton: function rolesButton(index) {
    return cypressUtils_utils_common.dataCy("ntm-manage-member-roles-button", ":eq(".concat(index, ")"));
  },
  statusTag: cypressUtils_utils_common.dataCy("ntm-member-status-tag"),
  checkbox: cypressUtils_utils_common.dataCy("ntm-manage-members-app-list-checkbox")
};
var memberFormSelectors = {
  emailTextField: cypressUtils_utils_common.dataCy("email-select-input-field"),
  firstNameTextField: cypressUtils_utils_common.dataCy("ntm-edit-member-first-name-text-field"),
  lastNameTextField: cypressUtils_utils_common.dataCy("ntm-edit-member-last-name-text-field"),
  emailInput: cypressUtils_utils_common.dataCy("ntm-manage-member-email-input"),
  emailErrorField: cypressUtils_utils_common.dataCy("emails-input-error"),
  cancelButton: cypressUtils_utils_common.dataCy("ntm-manage-member-cancel-button")
};
var neetoFiltersSelectors = {
  emailSelectContainer: cypressUtils_utils_common.dataCy("email-select-container-wrapper"),
  filterPaneHeading: cypressUtils_utils_common.dataCy("neeto-filters-pane-header"),
  neetoFiltersEmailBlock: cypressUtils_utils_common.dataCy("neeto-filters-email-block"),
  neetoFiltersRoleBlock: cypressUtils_utils_common.dataCy("neeto-filters-role-block"),
  neetoFiltersBarClearButton: cypressUtils_utils_common.dataCy("neeto-filters-bar-clear-btn"),
  neetoFiltersNameFilterField: cypressUtils_utils_common.dataCy("neeto-filters-name-filter"),
  neetoFilterNameBlock: cypressUtils_utils_common.dataCy("neeto-filters-name-block"),
  roleSelectContainer: cypressUtils_utils_common.dataCy("role-select-container-wrapper"),
  filterButton: cypressUtils_utils_common.dataCy("neeto-filters-toggle-btn"),
  filtersClearButton: cypressUtils_utils_common.dataCy("neeto-filters-clear-btn"),
  filterDoneButton: cypressUtils_utils_common.dataCy("neeto-filters-done-btn"),
  filteredMembersCount: cypressUtils_utils_common.dataCy("ntm-filtered-members-count"),
  allMenubarBlock: cypressUtils_utils_common.dataCy("ntm-members-menubar-all-block"),
  filtersEmailFilter: cypressUtils_utils_common.dataCy("neeto-filters-email-filter"),
  paneModalCrossIcon: cypressUtils_utils_common.dataCy("neeto-filters-close-button")
};

exports.memberFormSelectors = memberFormSelectors;
exports.memberSelectors = memberSelectors;
exports.neetoFiltersSelectors = neetoFiltersSelectors;
//# sourceMappingURL=member.js.map
