'use strict';

var common = require('utils/common');

var rolesSelectors = {
  newButton: common.dataCy("ntm-add-role-button"),
  proceedButton: common.dataCy("ntm-add-role-submit-button"),
  cancelButton: common.dataCy("ntm-add-role-cancel-button"),
  tableHeaderRoleName: common.dataCy("ntm-roles-table-role-header"),
  nameTextField: common.dataCy("ntm-add-role-name-text-field"),
  searchTextField: common.dataCy("ntm-search-roles-input"),
  updateRolePaneHeading: common.dataCy("ntm-add-role-title"),
  updateRoleCancelButton: common.dataCy("ntm-add-role-cancel-button"),
  descriptionTextField: common.dataCy("ntm-add-role-description-text-field"),
  permissionCategoryTitle: common.dataCy("ntm-roles-permission-category-title"),
  headerColumn: common.dataCy("ntm-roles-table-header"),
  dropDownIcon: common.dataCy("ntm-roles-table-header-role-dropdown-button"),
  tableHeaderRoleTitle: common.dataCy("ntm-roles-table-header-role-title")
};

exports.rolesSelectors = rolesSelectors;
//# sourceMappingURL=roles.js.map
