import { env, getUrl } from '../utils/common.js';
import '../../defineProperty-DuFCEj0A.js';
import '../../toPropertyKey-C6Y0u0Sf.js';
import '../../typeof-D-UKOauR.js';
import './index.js';

var allPath = function allPath() {
  return "".concat(Cypress.config("baseUrl"), "/**");
};
var tld = env.isProduction ? "com" : "net";
var requestApis = {
  countries: getUrl("countries"),
  signUp: getUrl("signups/**"),
  subdomainAvailability: getUrl("subdomain_availability/**"),
  teamMembers: {
    all: "/team_members*/**",
    bulkUpdate: "/team_members/teams/bulk_update",
    index: "/team_members/teams",
    show: function show(id) {
      return "/team_members/teams/".concat(id);
    }
  },
  allChatPath: "https://*.neetochat.".concat(tld).concat(getUrl("**")),
  myProfilePath: function myProfilePath(subdomain) {
    return "https://".concat(subdomain, ".neetoauth.").concat(tld, "/my/profile");
  },
  settingsPath: function settingsPath(subdomain) {
    return "https://".concat(subdomain, ".neetoauth.").concat(tld, "/settings");
  }
};
var urlPaths = {
  members: "/members"
};
Object.defineProperty(requestApis, "allPath", {
  get: allPath
});

export { requestApis, urlPaths };
//# sourceMappingURL=routes.js.map
