var compilerOptions = {
	target: "ES6",
	allowSyntheticDefaultImports: true,
	strictNullChecks: true,
	module: "commonJS",
	baseUrl: ".",
	types: [
		"cypress"
	]
};
var exclude = [
	"**/node_modules"
];
var include = [
	"./**/*.js",
	"./**/*.jsx",
	"./**/*.d.ts"
];
var jsconfig = {
	compilerOptions: compilerOptions,
	exclude: exclude,
	include: include
};

export { compilerOptions, jsconfig as default, exclude, include };
//# sourceMappingURL=jsconfig.js.map
