import { commonSelectors } from '../constants/selectors/common.js';
import { commonTexts } from '../constants/texts/common.js';
import './common.js';
import '../../defineProperty-DuFCEj0A.js';
import '../../toPropertyKey-C6Y0u0Sf.js';
import '../../typeof-D-UKOauR.js';
import '../constants/index.js';

var verifyCrossSiteScript = function verifyCrossSiteScript(inputSelector, submitSelector) {
  cy.interceptApi("searchRequest");
  cy.clearAndType(inputSelector, commonTexts.crossSiteScript);
  submitSelector && cy.get(submitSelector).click();
  cy.wait("@searchRequest");
  cy.get(commonSelectors.windowAlert).should("not.exist");
};

export { verifyCrossSiteScript };
//# sourceMappingURL=validation.js.map
