'use strict';

var cypressUtils_utils_common = require('../../utils/common.js');
require('../../../defineProperty-BB_r6qQ2.js');
require('../../../toPropertyKey-CRgrohXG.js');
require('../../../typeof-D4ZZ_FlZ.js');
require('../index.js');

var helpIconSelectors = {
  helpButton: cypressUtils_utils_common.dataCy("help-button"),
  documentationButton: cypressUtils_utils_common.dataCy("help-link-help-center-button"),
  keyboardShortcutButton: cypressUtils_utils_common.dataCy("help-link-keyboard-shortcut-button"),
  chatButton: cypressUtils_utils_common.dataCy("help-link-live-chat-button"),
  whatsNewButton: cypressUtils_utils_common.dataCy("help-link-changelog-button"),
  whatsNewWidgetInfo: "h1",
  whatsNewWidgetCloseButton: ".nc-widget-header__btn",
  keyboardShortcutPaneHeading: cypressUtils_utils_common.dataCy("keyboard-shortcuts-pane-title"),
  keyboardShortcutPaneCrossIcon: cypressUtils_utils_common.dataCy("keyboard-shortcuts-pane-close-button")
};
var chatWidgetSelectors = {
  chatWidgetHomeCard: cypressUtils_utils_common.dataCy("neeto-chat-widget-cta-title"),
  widgetSubmitButton: cypressUtils_utils_common.dataCy("neeto-chat-widget-pre-chat-submit-btn"),
  chatBubbleMessage: cypressUtils_utils_common.dataCy("neeto-chat-widget-chat-message-bubble"),
  chatCloseButton: ".neeto-chat-widget-icon--close",
  widgetIframe: "#neetochat-iframe"
};

exports.chatWidgetSelectors = chatWidgetSelectors;
exports.helpIconSelectors = helpIconSelectors;
//# sourceMappingURL=navigation.js.map
