'use strict';

var memberTexts = {
  addMember: "Add new team member",
  admin: "Admin",
  agent: "Agent",
  agents: "Agents",
  activeMembersHeading: "Active team members",
  accountActivatedToastMessage: function accountActivatedToastMessage(name) {
    return "".concat(name, "'s account has been activated.");
  },
  activateMember: "Activate member?",
  activateMemberAlertMessage: function activateMemberAlertMessage(email) {
    return "You are activating the member ".concat(email, ".");
  },
  addMemberToProducts: function addMemberToProducts(email) {
    return "Add ".concat(email, " to the following neeto products.");
  },
  deactivateAccountToastMessage: function deactivateAccountToastMessage(name) {
    return "".concat(name, "'s account has been deactivated.");
  },
  deactivateMember: "Deactivate member?",
  deactivateMemberAlertMessage: function deactivateMemberAlertMessage(email) {
    return "You are deactivating the member ".concat(email, ".");
  },
  editMember: "Edit team member",
  inviteMessage: function inviteMessage(_ref) {
    var email = _ref.email,
      role = _ref.role,
      appName = _ref.appName;
    return "".concat(email, " will be invited to ").concat(appName, " with a role of ").concat(role, ".");
  },
  memberAddedMessage: "Added member successfully!",
  members: "Members",
  newHeading: "Add new team member",
  updatedMemberRole: function updatedMemberRole(email, role) {
    return "Updated ".concat(email, "'s role to ").concat(role, ".");
  },
  searchMembers: "Search members",
  noDataTitle: "There are no members to show",
  editor: "Editor",
  changeRole: "Change role?",
  changeRoleAlertMsg: function changeRoleAlertMsg(member, role) {
    return "You are changing the role of ".concat(member, " to ").concat(role, ".");
  },
  collaborator: "Collaborator"
};
var memberTableTexts = {
  created: "Created",
  email: "Email",
  name: "Name",
  role: "Role",
  teams: "Teams",
  inviteStatus: "Invite status"
};
var memberFormErrorTexts = {
  emailRequired: "Please enter at least one email address.",
  emailInvalid: "Please ensure that all email addresses are valid.",
  removeInvalidEmail: "Click here to remove invalid emails."
};

exports.memberFormErrorTexts = memberFormErrorTexts;
exports.memberTableTexts = memberTableTexts;
exports.memberTexts = memberTexts;
//# sourceMappingURL=member.js.map
