'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compilerOptions = {
	target: "ES6",
	allowSyntheticDefaultImports: true,
	strictNullChecks: true,
	module: "commonJS",
	baseUrl: ".",
	types: [
		"cypress"
	]
};
var exclude = [
	"**/node_modules"
];
var include = [
	"./**/*.js",
	"./**/*.jsx",
	"./**/*.d.ts"
];
var jsconfig = {
	compilerOptions: compilerOptions,
	exclude: exclude,
	include: include
};

exports.compilerOptions = compilerOptions;
exports.default = jsconfig;
exports.exclude = exclude;
exports.include = include;
//# sourceMappingURL=jsconfig.js.map
