'use strict';

var cypressUtils_constants_selectors_common = require('../constants/selectors/common.js');
var cypressUtils_constants_texts_common = require('../constants/texts/common.js');
require('./common.js');
require('../../defineProperty-BB_r6qQ2.js');
require('../../toPropertyKey-CRgrohXG.js');
require('../../typeof-D4ZZ_FlZ.js');
require('../constants/index.js');

var verifyCrossSiteScript = function verifyCrossSiteScript(inputSelector, submitSelector) {
  cy.interceptApi("searchRequest");
  cy.clearAndType(inputSelector, cypressUtils_constants_texts_common.commonTexts.crossSiteScript);
  submitSelector && cy.get(submitSelector).click();
  cy.wait("@searchRequest");
  cy.get(cypressUtils_constants_selectors_common.commonSelectors.windowAlert).should("not.exist");
};

exports.verifyCrossSiteScript = verifyCrossSiteScript;
//# sourceMappingURL=validation.js.map
