import { dataCy, joinHyphenCase } from '../../utils/common.js';
import '../../../defineProperty-DuFCEj0A.js';
import '../../../toPropertyKey-C6Y0u0Sf.js';
import '../../../typeof-D-UKOauR.js';
import '../index.js';

var memberSelectors = {
  membersTab: dataCy("members-nav-tab"),
  newButton: dataCy("ntm-add-member-button"),
  continueButton: dataCy("ntm-manage-member-continue-button"),
  submitButton: dataCy("ntm-manage-member-submit-button"),
  searchTextField: dataCy("ntm-search-members-input"),
  deactivatedAgentsButton: dataCy("ntm-members-menubar-deactivated-block"),
  activatedMembersButton: dataCy("ntm-members-menubar-active-block"),
  columnCheckBox: dataCy("neeto-ui-columns-checkbox"),
  roleLabel: function roleLabel(role) {
    return dataCy("".concat(joinHyphenCase(role), "-radio-label"));
  },
  dropDownIcon: dataCy("ntm-members-table-row-dropdown-button"),
  editButton: dataCy("ntm-edit-member-button"),
  menuBarHeading: dataCy("ntm-members-menubar-heading"),
  activateOrDeactivateMember: dataCy("ntm-deactivate-member-button"),
  columnsButton: dataCy("columns-dropdown-button"),
  columnsDropdownContainer: dataCy("columns-dropdown-container"),
  emailDropdownItemLabel: dataCy("email-checkbox-label"),
  roleDropdownItemLabel: dataCy("role-checkbox-label"),
  inviteStatusDropdownItemLabel: dataCy("invite-status-checkbox-label"),
  heading: dataCy("ntm-manage-members-pane-header"),
  activateButton: dataCy("ntm-activate-members-button"),
  deactivateButton: dataCy("ntm-deactivate-members-button"),
  rolesButton: function rolesButton(index) {
    return dataCy("ntm-manage-member-roles-button", ":eq(".concat(index, ")"));
  },
  statusTag: dataCy("ntm-member-status-tag"),
  checkbox: dataCy("ntm-manage-members-app-list-checkbox")
};
var memberFormSelectors = {
  emailTextField: dataCy("email-select-input-field"),
  firstNameTextField: dataCy("ntm-edit-member-first-name-text-field"),
  lastNameTextField: dataCy("ntm-edit-member-last-name-text-field"),
  emailInput: dataCy("ntm-manage-member-email-input"),
  emailErrorField: dataCy("emails-input-error"),
  cancelButton: dataCy("ntm-manage-member-cancel-button")
};
var neetoFiltersSelectors = {
  emailSelectContainer: dataCy("email-select-container-wrapper"),
  filterPaneHeading: dataCy("neeto-filters-pane-header"),
  neetoFiltersEmailBlock: dataCy("neeto-filters-email-block"),
  neetoFiltersRoleBlock: dataCy("neeto-filters-role-block"),
  neetoFiltersBarClearButton: dataCy("neeto-filters-bar-clear-btn"),
  neetoFiltersNameFilterField: dataCy("neeto-filters-name-filter"),
  neetoFilterNameBlock: dataCy("neeto-filters-name-block"),
  roleSelectContainer: dataCy("role-select-container-wrapper"),
  filterButton: dataCy("neeto-filters-toggle-btn"),
  filtersClearButton: dataCy("neeto-filters-clear-btn"),
  filterDoneButton: dataCy("neeto-filters-done-btn"),
  filteredMembersCount: dataCy("ntm-filtered-members-count"),
  allMenubarBlock: dataCy("ntm-members-menubar-all-block"),
  filtersEmailFilter: dataCy("neeto-filters-email-filter"),
  paneModalCrossIcon: dataCy("neeto-filters-close-button")
};

export { memberFormSelectors, memberSelectors, neetoFiltersSelectors };
//# sourceMappingURL=member.js.map
