import pureDayjs from 'dayjs';

var currentDate = function currentDate() {
  return pureDayjs().format("YYYY-MM-DD");
};
var futureDate = function futureDate() {
  var numberOfDays = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
  var date = pureDayjs().add(numberOfDays, "day").format("YYYY-MM-DD");
  return date;
};
var pastDate = function pastDate() {
  var numberOfDays = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
  var date = pureDayjs().subtract(numberOfDays, "day").format("YYYY-MM-DD");
  return date;
};
var dateUtils = {
  currentDate: currentDate,
  futureDate: futureDate,
  pastDate: pastDate
};

export { dateUtils };
//# sourceMappingURL=date.js.map
